// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.15.8
// source: uzytkownicy/uzytkownicy.proto

package uzytkownicy

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// ZarzadzanieClient is the client API for Zarzadzanie service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type ZarzadzanieClient interface {
	UtworzUzytkownika(ctx context.Context, in *NowyUzytkownik, opts ...grpc.CallOption) (*Uzytkownik, error)
	PobierzUzytkownikow(ctx context.Context, in *PobierzPrmUzytkownikow, opts ...grpc.CallOption) (*ListaUzytkownikow, error)
}

type zarzadzanieClient struct {
	cc grpc.ClientConnInterface
}

func NewZarzadzanieClient(cc grpc.ClientConnInterface) ZarzadzanieClient {
	return &zarzadzanieClient{cc}
}

func (c *zarzadzanieClient) UtworzUzytkownika(ctx context.Context, in *NowyUzytkownik, opts ...grpc.CallOption) (*Uzytkownik, error) {
	out := new(Uzytkownik)
	err := c.cc.Invoke(ctx, "/uzytkownicy.Zarzadzanie/UtworzUzytkownika", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *zarzadzanieClient) PobierzUzytkownikow(ctx context.Context, in *PobierzPrmUzytkownikow, opts ...grpc.CallOption) (*ListaUzytkownikow, error) {
	out := new(ListaUzytkownikow)
	err := c.cc.Invoke(ctx, "/uzytkownicy.Zarzadzanie/PobierzUzytkownikow", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SerwerUzytkownikow is the server API for Zarzadzanie service.
// All implementations must embed UnimplementedSerwerUzytkownikow
// for forward compatibility
type SerwerUzytkownikow interface {
	UtworzUzytkownika(context.Context, *NowyUzytkownik) (*Uzytkownik, error)
	PobierzUzytkownikow(context.Context, *PobierzPrmUzytkownikow) (*ListaUzytkownikow, error)
	mustEmbedUnimplementedSerwerUzytkownikow()
}

// UnimplementedSerwerUzytkownikow must be embedded to have forward compatible implementations.
type UnimplementedSerwerUzytkownikow struct {
}

func (UnimplementedSerwerUzytkownikow) UtworzUzytkownika(context.Context, *NowyUzytkownik) (*Uzytkownik, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UtworzUzytkownika not implemented")
}
func (UnimplementedSerwerUzytkownikow) PobierzUzytkownikow(context.Context, *PobierzPrmUzytkownikow) (*ListaUzytkownikow, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PobierzUzytkownikow not implemented")
}
func (UnimplementedSerwerUzytkownikow) mustEmbedUnimplementedSerwerUzytkownikow() {}

// UnsafeSerwerUzytkownikow may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to SerwerUzytkownikow will
// result in compilation errors.
type UnsafeSerwerUzytkownikow interface {
	mustEmbedUnimplementedSerwerUzytkownikow()
}

func RegisterSerwerUzytkownikow(s grpc.ServiceRegistrar, srv SerwerUzytkownikow) {
	s.RegisterService(&Zarzadzanie_ServiceDesc, srv)
}

func _Zarzadzanie_UtworzUzytkownika_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NowyUzytkownik)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SerwerUzytkownikow).UtworzUzytkownika(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/uzytkownicy.Zarzadzanie/UtworzUzytkownika",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SerwerUzytkownikow).UtworzUzytkownika(ctx, req.(*NowyUzytkownik))
	}
	return interceptor(ctx, in, info, handler)
}

func _Zarzadzanie_PobierzUzytkownikow_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PobierzPrmUzytkownikow)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SerwerUzytkownikow).PobierzUzytkownikow(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/uzytkownicy.Zarzadzanie/PobierzUzytkownikow",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SerwerUzytkownikow).PobierzUzytkownikow(ctx, req.(*PobierzPrmUzytkownikow))
	}
	return interceptor(ctx, in, info, handler)
}

// Zarzadzanie_ServiceDesc is the grpc.ServiceDesc for Zarzadzanie service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Zarzadzanie_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "uzytkownicy.Zarzadzanie",
	HandlerType: (*SerwerUzytkownikow)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "UtworzUzytkownika",
			Handler:    _Zarzadzanie_UtworzUzytkownika_Handler,
		},
		{
			MethodName: "PobierzUzytkownikow",
			Handler:    _Zarzadzanie_PobierzUzytkownikow_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "uzytkownicy/uzytkownicy.proto",
}
